%global oname ua-parser
Name:          ua-parser-java
Version:       1.3.0
Release:       4%{?dist}
Summary:       Java implementation of user agent parser
License:       ASL 2.0
URL:           https://github.com/tobie/ua-parser/
Source0:       https://github.com/tobie/ua-parser/archive/java-%{version}.tar.gz

BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.hamcrest:hamcrest-all)
BuildRequires: mvn(org.yaml:snakeyaml)

BuildRequires: maven-local
BuildRequires: javapackages-tools >= 4.3.2-3
BuildArch:     noarch

%description
This is the Java implementation of ua-parser. The
implementation uses the shared regex patterns and
overrides from regexes.yaml.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete
find . -name "*.exe" -print -delete
find . -name "*.dll" -print -delete

# Unwanted
%pom_remove_plugin :maven-source-plugin java

%build

cd java
%mvn_file :%{oname} %{oname}
%mvn_build

%install
cd java
%mvn_install

%files -f java/.mfiles
%doc java/README.md
%license java/LICENSE

%files javadoc -f java/.mfiles-javadoc
%license java/LICENSE

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 13 2015 gil cattaneo <puntogil@libero.it> 1.3.0-3
- introduce license macro

* Mon Jan 19 2015 gil cattaneo <puntogil@libero.it> 1.3.0-2
- rebuilt for regenerate rpm {osgi,maven}.prov, {osgi,maven}.req

* Fri Mar 07 2014 gil cattaneo <puntogil@libero.it> 1.3.0-1
- initial rpm
